commit 7fce903704886efd245acffefc5ce1f004c392e3
Author: freddy77 <freddy77>
Date:   Fri Jan 22 10:45:19 2010 +0000

    check _SQLFreeDesc

diff --git a/ChangeLog b/ChangeLog
index f92ab09..406feed 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Fri Jan 22 11:45:04 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/unittests/copydesc.c: check _SQLFreeDesc
+
 Fri Jan 22 11:43:29 CET 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/tds.h src/tds/token.c:
 	- do not define tds_swap_datatype if not needed
@@ -2148,4 +2151,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2945 2010/01/22 10:43:48 freddy77 Exp $
+$Id: ChangeLog,v 1.2946 2010/01/22 10:45:19 freddy77 Exp $
diff --git a/src/odbc/unittests/copydesc.c b/src/odbc/unittests/copydesc.c
index 9488154..5771490 100644
--- a/src/odbc/unittests/copydesc.c
+++ b/src/odbc/unittests/copydesc.c
@@ -2,7 +2,7 @@
 
 /* Test SQLCopyDesc and SQLAllocHandle(SQL_HANDLE_DESC) */
 
-static char software_version[] = "$Id: copydesc.c,v 1.5 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: copydesc.c,v 1.6 2010/01/22 10:45:19 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -30,6 +30,8 @@ main(int argc, char *argv[])
 
 	CHKR(SQLCopyDesc, (ard, ard2), "S");
 
+	CHKFreeHandle(SQL_HANDLE_DESC, ard3, "S");
+
 	Disconnect();
 
 	printf("Done.\n");

